POST V1/SmartClient.{ext}/PublishTicket

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.SmartClientIssueDetail
NameDescriptionTypeAdditional information
IssueId

No description available

string

None.

IssueStatus

No description available

string

None.

IssueType

No description available

string

None.

IssuePriority

No description available

string

None.

IssueNumber

No description available

string

None.

Category

No description available

string

None.

ClientName

No description available

string

None.

Subject

No description available

string

None.

SeverityType

No description available

string

None.

ModifiedUser

No description available

string

None.

CreatedUser

No description available

string

None.

AssignedTo

No description available

string

None.

FileFormat

No description available

string

None.

SearchCriteria

No description available

string

None.

EMSToken

No description available

string

None.

FeatureId

No description available

string

None.

aging

No description available

string

None.

PriorityOrder

No description available

string

None.

CreatedDate

No description available

string

None.

profileExt

No description available

string

None.

CreatedUserName

No description available

string

None.

Description

No description available

string

None.

FileName

No description available

string

None.

RecordCount

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "issueId": "sample string 1",
  "issueStatus": "sample string 2",
  "issueType": "sample string 3",
  "issuePriority": "sample string 4",
  "issueNumber": "sample string 5",
  "category": "sample string 6",
  "clientName": "sample string 7",
  "subject": "sample string 8",
  "severityType": "sample string 9",
  "modifiedUser": "sample string 10",
  "createdUser": "sample string 11",
  "assignedTo": "sample string 12",
  "fileFormat": "sample string 13",
  "searchCriteria": "sample string 14",
  "emsToken": "sample string 15",
  "featureId": "sample string 16",
  "aging": "sample string 17",
  "priorityOrder": "sample string 18",
  "createdDate": "sample string 19",
  "profileExt": "sample string 20",
  "createdUserName": "sample string 21",
  "description": "sample string 22",
  "fileName": "sample string 23",
  "recordCount": "sample string 24"
}

application/xml, text/xml

Sample:
<SmartClientIssueDetail xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <AssignedTo>sample string 12</AssignedTo>
  <Category>sample string 6</Category>
  <ClientName>sample string 7</ClientName>
  <CreatedDate>sample string 19</CreatedDate>
  <CreatedUser>sample string 11</CreatedUser>
  <CreatedUserName>sample string 21</CreatedUserName>
  <Description>sample string 22</Description>
  <EMSToken>sample string 15</EMSToken>
  <FeatureId>sample string 16</FeatureId>
  <FileFormat>sample string 13</FileFormat>
  <FileName>sample string 23</FileName>
  <IssueId>sample string 1</IssueId>
  <IssueNumber>sample string 5</IssueNumber>
  <IssuePriority>sample string 4</IssuePriority>
  <IssueStatus>sample string 2</IssueStatus>
  <IssueType>sample string 3</IssueType>
  <ModifiedUser>sample string 10</ModifiedUser>
  <PriorityOrder>sample string 18</PriorityOrder>
  <RecordCount>sample string 24</RecordCount>
  <SearchCriteria>sample string 14</SearchCriteria>
  <SeverityType>sample string 9</SeverityType>
  <Subject>sample string 8</Subject>
  <aging>sample string 17</aging>
  <profileExt>sample string 20</profileExt>
</SmartClientIssueDetail>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.